/*
    Project: GoGoChart website revamp
    Author: http://www.CodingCat.hk
*/

main:not(:only-child) { margin-top: 0; }

/* Page Cover */
.page-cover {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-image: url('../images/Career.html/page-cover.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    color: #fff;
    text-transform: uppercase;
    -moz-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -ms-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -o-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -webkit-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
}
.page-cover:before {
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(64, 84, 90, 0.7);
}

.page-cover h1 {
    position: relative;
    font-size: 90px;
    font-weight: 700;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    -webkit-transform: none;
    transform: none;
}
.site-loading ~ main .page-cover h1 {
    -moz-transform: scale(.6);
    -ms-transform: scale(.6);
    -o-transform: scale(.6);
    -webkit-transform: scale(.6);
    transform: scale(.6);
}

main > section:not(:last-child) {
    border-bottom: 1px solid #d3d3d3;
}

/* Section */
.section {
    padding-top: 50px;
    padding-bottom: 50px;
    color: #4b4b4b;
}
.section__header {
    line-height: 1;
    font-size: 38px;
    font-weight: 700;
    text-transform: uppercase;
}
.section__content p {
    margin: 0 auto;
    max-width: 780px;
}

/* Benefits and Perks */
.benefits {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin: 0;
    padding: 0;
}
.benefits__icon,
.benefits__description {
    margin: 0;
    padding: 0 14px;
    list-style-type: none;
}
.benefits__description {
    position: relative;
    padding-top: 14px;
    padding-bottom: 42px;
    font-weight: 700;
    font-size: 21px;
    color: #14bd94;
}
.benefits__icon img {
    max-width: 95px;
}

/* Current Openings */
.jobs {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 70px;
    margin: 0 auto;
    max-width: 840px;
    padding: 0 21px;
}
.jobs li {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.jobs__item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    cursor: pointer;
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.2);
}
.jobs__item:hover {
    box-shadow: 0px 0px 2px 0 rgba(0, 0, 0, 0.2);
}
.jobs__item i {
    margin: 56px 0;
    font-size: 70px;
}
.jobs__item span {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 14px 7px;
    min-height: 80px;
    background-color: rgba(245, 245, 245, 1);
}

/* Popup */
.swal-modal {
    max-width: 95vw;
    width: unset;
}
.swal-content {
    max-height: 50vh;
    text-align: left;
    overflow: auto;
}

.swal-content h4 {
    font-weight: 700;
}
.swal-content h4 ~ * {
    padding-left: 14px;
}
.swal-content h4 ~ :last-child {
    margin-bottom: 28px;
}